flickering of the top menu on page refresh
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I am trying the new version and experiencing a strange behavior. When the page refreshes, the top menu fonts change and there is

an annoying flickering effect.

I captured the screen and added the video as an attachment.

I installed the new version on a server previously running Redmine 5.1.4 without problems. I only cloned the latest git repo, changed

the config files and did the migrations.

Environment:

Redmine version                6.0.1.stable

Ruby version                   3.2.4-p170 (2024-04-23) [x86_64-linux]

Rails version                  7.2.2

Environment                    production

Database adapter               Mysql2

Redmine settings:

Redmine theme                  Default

Redmine plugins:

no plugin installed

Is there anyone who knows why it happens and how to fix it?

Related issues:

Related to Redmine - Feature #41748: Optimize font loading by replacing varia... Closed

History

#1 - 2024-11-14 02:07 - Go MAEDA

The phenomenon, known as FOUT (flash of unstyled text), occurs only when accessing the Redmine page for the first time or when performing a

hard reload. It does not happen with subsequent accesses or regular reloads.

In Redmine 6.0.0, the font used on the screen has been changed to Noto Sans. Noto Sans is downloaded over the network from your Redmine server

to the browser. Until the download is complete, the default font of the browser is displayed. Once the download is complete, it switches to Noto Sans.

This is why the flash occurs when accessing the Redmine page for the first time or when performing a hard reload. However, for subsequent

accesses, the font file is cached in the browser, so unless the cache expires or a hard reload is performed, the FOUT does not occur.

#2 - 2024-11-14 04:17 - Tolga Uzun

Thanks Maeda for the clarification.

I understand that FOUT might occur but this happens not only on the first load or hard reload but on the same page clicks too.

Now I tried other browsers and didn't see the same behavior. After some tests I figured out the Bitwarden extension on the Opera browser leads to it.

(Bitwarden Extension Version: 2024.10.1)

Redmine 4, 5 on my servers and redmine.org does not do this behavior.

What could be the reason, any ideas? Is there anything I can do to figure out the root cause of it? It does not happen on other web sites, so can it be

considered as a Redmine issue or not?

#3 - 2024-11-14 04:44 - Go MAEDA
Unfortunately, I am not sure why the issue occurs in Opera with the Bitwarden extension installed, but as a workaround, you could try disabling the

use of the Noto Sans font.

To do this, open app/assets/stylesheets/application.css with a text editor, and delete two blocks that starts with @font-face at the beginning. Then,

change the value assigned to --fonts-main from "Noto Sans", sans-serif to sans-serif.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index f1166cbe0..00d3393ea 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -4,26 +4,8 @@

  * This code is released under the GNU General Public License.

  */

-@font-face {

-  font-family: "Noto Sans";

-  src: url("/NotoSans-VariableFont_wdth,wght.woff2") format("woff2");

-  font-weight: 100 900;

-  font-stretch: 75% 125%;

-  font-style: normal;

-  font-display: swap;

-}

-

-@font-face {

-  font-family: "Noto Sans";

-  src: url("/NotoSans-Italic-VariableFont_wdth,wght.woff2") format("woff2");

-  font-weight: 100 900;

-  font-stretch: 75% 125%;

-  font-style: italic;

-  font-display: swap;

-}

-

 :root {

-  --fonts-main: "Noto Sans", sans-serif;

+  --fonts-main: sans-serif;

 }

 html, body { min-height: 100vh; }

#4 - 2024-11-14 05:50 - Go MAEDA

- Related to Feature #41748: Optimize font loading by replacing variable fonts with specific weights for Noto Sans added

#5 - 2024-11-14 19:46 - Tolga Uzun

It is really strange that a password manager extension is causing this.

I didn't try the fix you provided, instead changed the extension to the Chrome one. (You can install Chrome extensions on Opera too.) Chrome

extension on Opera browser doesn't cause the FOUT.

If it helps, i can try your fix and tell you the result.

Before realizing the forum i opened this issue as a defect so that is up to you to close this issue or not. I am not sure if it can be called as a defect or

not.

#6 - 2024-11-16 09:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

Thank you for your feedback. I am closing this issue.

It is possible that the two font files, both exceeding 1MB in size, may have contributed to the issue.

While it is not certain whether this change will resolve the problem in your environment, #41748 improved the stylesheet to load four smaller font files,

each around 200KB.

#7 - 2024-11-16 23:02 - Tolga Uzun

Sorry to say I tested the change proposed in #41748 but it did not change the behavior.

Files
Powered by TCPDF (www.tcpdf.org)

2025-04-17 2/2

https://www.redmine.org/issues/41748
https://www.redmine.org/issues/41748
http://www.tcpdf.org

